package simple;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.io.Serializable;

public class Customer implements Serializable {
  protected String id;
  protected String longName;
  protected String street1;


  public Customer() {}

  public Customer(DbCustomer c) {
    id = c.id;
    longName = c.longName;
    street1 = c.street1;
  }

  public static List<Customer> newCustomerList(List<DbCustomer> dbCustomers) {
    int size = dbCustomers.size();
    ArrayList<Customer> customers = new ArrayList<Customer>();
    for(DbCustomer d : dbCustomers) {
        customers.add(new Customer(d));
    }
    return customers;
  }

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getLongName() {
    return longName;
  }

  public void setLongName(String longName) {
    this.longName = longName;
  }

  public String getStreet1() {
    return street1;
  }

  public void setStreet1(String street1) {
    this.street1 = street1;
  }


}
