package simple;

import javax.jws.WebMethod;
import javax.jws.WebService;
import java.util.List;
import javax.persistence.*;
import javax.ejb.Stateless;

@Stateless
@WebService(name="ws", serviceName="CustomerService", portName = "CustomerServicePort", targetNamespace = "http://services.cstws.environment.sa.gov.au/")
public class CustomerService implements CustomerServiceRemote {

   static final int MAX_ROWS_RETURNED = 300;

   @PersistenceContext(unitName = "CustomerServicePersistenceUnit")
   private EntityManager em;

    @WebMethod(operationName = "getCustomerByName")
    public List<Customer> getCustomerByName(String name) {
        try {
            Query query = em.createNamedQuery("DbCustomer.findByUpperName");
            query.setMaxResults(MAX_ROWS_RETURNED);
            query.setParameter("pattern", "%" + name.toUpperCase() + "%");
            return Customer.newCustomerList(query.getResultList());
        } catch(Exception e) {
            throw new RuntimeException(e);
        }
    }

}
