package simple;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name="MP_CUSTOMER")
@NamedQueries({
  @NamedQuery(name = "DbCustomer.findById", query = "SELECT c FROM DbCustomer c WHERE c.id = :id"),
  @NamedQuery(name = "DbCustomer.findByUpperName", query = "SELECT c FROM DbCustomer c WHERE UPPER(c.longName) LIKE :pattern ORDER BY c.longName"),
  @NamedQuery(name = "CDbustomer.findByStreet", query = "SELECT c FROM DbCustomer c WHERE c.street1 LIKE :pattern")
})

public class DbCustomer implements Serializable {
  @Id
  @Column(name = "CUSTOMER_ID", nullable = false)
  protected String id;

  @Column(name = "CUST_LONG_NAME ", nullable = true)
  protected String longName;

  @Column(name = "CUST_STREET1 ", nullable = true)
  protected String street1;
}
